For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet all export jobs
      • POSTCreate an export job
      • GETGet supported export formats
      • GETGet the export job status by ID
LogoLogo
API StatusPartner Portal
UtilitiesData export

Get the export job status by ID

GET
/data_exports/:document_export_id
GET
/v1/data_exports/:document_export_id
$curl https://api.sandbox.monite.com/v1/data_exports/document_export_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "count": 1,
4 "entity_id": "entity_id",
5 "format": "format",
6 "language": "language",
7 "status": "status",
8 "created_by_entity_user_id": "created_by_entity_user_id",
9 "end_datetime": "2024-01-15T09:30:00Z",
10 "source_url": "source_url",
11 "start_datetime": "2024-01-15T09:30:00Z"
12}
Was this page helpful?
Previous

Get extra fields included in data export

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

document_export_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
countinteger
entity_idstringformat: "uuid"
formatstring
languagestring
statusstring
created_by_entity_user_idstringformat: "uuid"
end_datetimedatetime
source_urlstringformat: "uri"1-2083 characters
start_datetimedatetime

Errors

400
Get Data Exports ID Request Bad Request Error
401
Get Data Exports ID Request Unauthorized Error
403
Get Data Exports ID Request Forbidden Error
404
Get Data Exports ID Request Not Found Error
422
Get Data Exports ID Request Unprocessable Entity Error
429
Get Data Exports ID Request Too Many Requests Error